---
- hosts: localhost
  gather_facts: no
  vars:
    debug: false
  tasks:
  - name: "Set Debug to True"
    set_fact: debug=true
    # when: {{ lookup('env','TEMPEST_DEBUG') }} == true
  - name: Get EC2 instance metadata
    ec2_metadata_facts:
    register: ec2_metadata_facts
  - name: Obtain EC2 tags for this instance
    local_action:
      module: ec2_tag
      region: "{{ ansible_ec2_placement_region }}"
      resource: "{{ ansible_ec2_instance_id }}"
      state: list
    register: ec2_tags
  - name: "Fact: Cluster"
    set_fact: Cluster="{{ec2_tags.tags.Cluster}}"
  - name: "Fact: Environment"
    set_fact: Environment="{{ec2_tags.tags.Environment}}"
  - name: "Fact: Instance_Name"
    set_fact: Instance_Name="{{ec2_tags.tags.Name}}"
  - name: "Fact: Node_Type"
    set_fact: Node_Type="{{ec2_tags.tags.Node_Type}}"
  - name: "Fact: Project_Name"
    set_fact: Project_Name="{{ec2_tags.tags.Project_Name}}"
  - name: "Fact: Lifecycle"
    set_fact: Lifecycle="{{ec2_tags.tags.lifecycle}}"
  - name: "Role: All Nodes"
    import_role:
      name: all-nodes
  - name: "Role: Master"
    import_role:
      name: master
    when: Node_Type == "master"
  - name: "Role: Worker"
    import_role:
      name: worker
    when: Node_Type == "worker"
